Extend an active environment session
curl --request POST \
--url https://api.archal.ai/api/sessions/{sessionId}/renew \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ttlSeconds": 7200
}
'import requests
url = "https://api.archal.ai/api/sessions/{sessionId}/renew"
payload = { "ttlSeconds": 7200 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ttlSeconds: 7200})
};
fetch('https://api.archal.ai/api/sessions/{sessionId}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"expiresAt": "<string>",
"environmentIds": [
"<string>"
],
"environments": {},
"lease": {
"expiresAt": "<string>",
"idleExpiresAt": "<string>",
"hardExpiresAt": "<string>",
"renewable": true
}
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"ok": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}API Reference
Extend an active environment session
POST
/
api
/
sessions
/
{sessionId}
/
renew
Extend an active environment session
Authorizations
Used by lifecycle, catalog, and state endpoints
Path Parameters
Minimum string length:
1Body
application/json
Required range:
1 <= x <= 14400Response
Successful response
Minimum string length:
1Available options:
starting, ready, running, tearing_down, ended, expired, failed Minimum string length:
1Required string length:
1 - 80Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
